summaryrefslogtreecommitdiff
path: root/solenv
diff options
context:
space:
mode:
authorMichael Meeks <michael.meeks@novell.com>2011-09-10 16:50:41 +0200
committerMichael Meeks <michael.meeks@novell.com>2011-09-10 16:52:06 +0200
commitc22a376c72a36c31a0d958c8ef665215f0ade90f (patch)
tree31059620317a7b9fadc2a765d4010a1aeb1c8a84 /solenv
parentf2cc639131e62187a51b39555a24efc47b87fb13 (diff)
link gdb python helpers across into the install as well
Diffstat (limited to 'solenv')
-rwxr-xr-xsolenv/bin/linkoo32
1 files changed, 32 insertions, 0 deletions
diff --git a/solenv/bin/linkoo b/solenv/bin/linkoo
index 538c70b73c83..51c1879db9cf 100755
--- a/solenv/bin/linkoo
+++ b/solenv/bin/linkoo
@@ -301,6 +301,37 @@ sub evilness($)
}
}
+sub link_gdb_py()
+{
+ print "Special gdb.py helpers case: ";
+ my $dirh;
+ my @basis;
+ my @ure;
+ my $src = "$OOO_BUILD/solver/$TARGET/lib";
+ opendir ($dirh, $src) || die "can't open solver: $src: $!";
+ while (my $dent = readdir ($dirh)) {
+ $dent =~ /^\./ && next;
+ $dent =~ /\-gdb\.py/ || next;
+ if ($dent =~ /uno/) {
+ push @ure, $dent;
+ } else {
+ push @basis, $dent;
+ }
+ }
+ closedir ($dirh);
+ if (@ure < 1 || @basis < 1) {
+ print STDERR "Warning: missing helpful python debug helpers\n";
+ } else {
+ for my $c (@basis) {
+ do_link ($src, "$OOO_INSTALL/basis-link/program", $c, $c, 1);
+ }
+ for my $c (@ure) {
+ do_link ($src, "$OOO_INSTALL/ure/lib", $c, $c, 1);
+ }
+ }
+ print "\n";
+}
+
sub link_iso_res()
{
print "Special iso.res case: ";
@@ -372,6 +403,7 @@ evilness ('undo');
my $installed_files = build_installed_list ($OOO_INSTALL);
scan_and_link_files ($OOO_BUILD, $installed_files, $TARGET);
+link_gdb_py();
link_iso_res();
link_pagein_files();